#!/usr/bin/env node

const core = require('../prototypes/Core.js');

const { program } = require('commander');

program
  .command('configure')
  .description('Set token to access your tanker\'s scripts')
  .action(async function () {
    core.configure();
  });

program
  .command('reset')
  .description('Unset your token')
  .action(async function () {
    core.reset();
  });

program
  .command('use')
  .description('Choose a script')
  .action(async function () {
    core.use();
  });

program
  .command('run')
  .description('Run selected script')
  .action(async function () {
    core.run();
  });

program
  .command('display')
  .action(async () => {
    core.display();
  });

program
  .command('status')
  .action(async () => {
    core.status();
  });

program.parse(process.argv)
